#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './patternprop.ui'
**
** Created: Sat Jan 7 03:33:01 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "patternprop.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcombobox.h>
#include <qspinbox.h>
#include <qlineedit.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./patternprop.ui.h"

/*
 *  Constructs a PatternProp as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
PatternProp::PatternProp( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "PatternProp" );
    setSizeGripEnabled( TRUE );
    PatternPropLayout = new QVBoxLayout( this, 11, 6, "PatternPropLayout"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    rowBox = new QGroupBox( this, "rowBox" );
    rowBox->setColumnLayout(0, Qt::Vertical );
    rowBox->layout()->setSpacing( 6 );
    rowBox->layout()->setMargin( 11 );
    rowBoxLayout = new QHBoxLayout( rowBox->layout() );
    rowBoxLayout->setAlignment( Qt::AlignTop );

    rowsCombo = new QComboBox( FALSE, rowBox, "rowsCombo" );
    rowsCombo->setEditable( TRUE );
    rowBoxLayout->addWidget( rowsCombo );
    layout2->addWidget( rowBox );

    columnBox = new QGroupBox( this, "columnBox" );
    columnBox->setColumnLayout(0, Qt::Vertical );
    columnBox->layout()->setSpacing( 6 );
    columnBox->layout()->setMargin( 11 );
    columnBoxLayout = new QHBoxLayout( columnBox->layout() );
    columnBoxLayout->setAlignment( Qt::AlignTop );

    columnsSpin = new QSpinBox( columnBox, "columnsSpin" );
    columnsSpin->setMinValue( 1 );
    columnBoxLayout->addWidget( columnsSpin );
    layout2->addWidget( columnBox );
    PatternPropLayout->addLayout( layout2 );

    nameBox = new QGroupBox( this, "nameBox" );
    nameBox->setColumnLayout(0, Qt::Vertical );
    nameBox->layout()->setSpacing( 6 );
    nameBox->layout()->setMargin( 11 );
    nameBoxLayout = new QHBoxLayout( nameBox->layout() );
    nameBoxLayout->setAlignment( Qt::AlignTop );

    nameEdit = new QLineEdit( nameBox, "nameEdit" );
    nameBoxLayout->addWidget( nameEdit );
    PatternPropLayout->addWidget( nameBox );

    showControllerProp = new QPushButton( this, "showControllerProp" );
    PatternPropLayout->addWidget( showControllerProp );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    PatternPropLayout->addWidget( line1 );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    applyButton = new QPushButton( this, "applyButton" );
    layout8->addWidget( applyButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout8->addWidget( cancelButton );
    PatternPropLayout->addLayout( layout8 );
    languageChange();
    resize( QSize(338, 251).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( nameEdit, SIGNAL( textChanged(const QString&) ), this, SLOT( changePatternName(const QString&) ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( close() ) );
    connect( applyButton, SIGNAL( clicked() ), this, SLOT( okPressed() ) );
    connect( showControllerProp, SIGNAL( clicked() ), this, SLOT( showControllerPropertiesSlot() ) );

    // tab order
    setTabOrder( rowsCombo, columnsSpin );
    setTabOrder( columnsSpin, nameEdit );
    setTabOrder( nameEdit, applyButton );
    setTabOrder( applyButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
PatternProp::~PatternProp()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void PatternProp::languageChange()
{
    setCaption( tr2i18n( "Pattern Properties" ) );
    rowBox->setTitle( tr2i18n( "Rows" ) );
    rowsCombo->clear();
    rowsCombo->insertItem( tr2i18n( "4" ) );
    rowsCombo->insertItem( tr2i18n( "8" ) );
    rowsCombo->insertItem( tr2i18n( "16" ) );
    rowsCombo->insertItem( tr2i18n( "32" ) );
    rowsCombo->insertItem( tr2i18n( "48" ) );
    rowsCombo->insertItem( tr2i18n( "64" ) );
    rowsCombo->insertItem( tr2i18n( "96" ) );
    rowsCombo->insertItem( tr2i18n( "128" ) );
    rowsCombo->setCurrentItem( 1 );
    columnBox->setTitle( tr2i18n( "Columns" ) );
    nameBox->setTitle( tr2i18n( "Name" ) );
    showControllerProp->setText( tr2i18n( "Controller Properties" ) );
    applyButton->setText( tr2i18n( "Apply" ) );
    QToolTip::add( applyButton, tr2i18n( "Apply changes to Rows, Columns and name." ) );
    cancelButton->setText( tr2i18n( "Close" ) );
    QToolTip::add( cancelButton, tr2i18n( "Close window" ) );
}

#include "patternprop.moc"
